## parolottero-languages 6

=== Makefile ===
--- 
+++ 
@@ -21,13 +21,13 @@
 #TODO language_data/greek
 #TODO language_data/basque
 #TODO language_data/french
-#TODO
+#TODO language_data/american
 
 language_data/%: dict/sicilian dict/italian dict/swedish.xpi dict/english.xpi
 # dict/greek.xpi
 # dict/basque.xpi
 # dict/french.xpi
-# dict/english.xpi
+# dict/american.xpi
 	mkdir -p language_data
 	utils/lang_init.py `basename $@` $@ $@.wordlist
