=== debian/changelog ===
parolottero-languages (6-1) unstable; urgency=medium

  * New upstream release
  * Move to unstable, no problem with compatibility now

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 15 Jun 2025 10:13:01 +0200

parolottero-languages (2.3-1) experimental; urgency=medium

  * Initial release (Closes: #1019290)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 10 Sep 2024 19:24:16 +0200
