=== debian/control ===
Source: parolottero-languages
Section: games
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 python3,
Standards-Version: 4.7.2
Homepage: https://codeberg.org/parolottero/parolottero-languages
Vcs-Browser: https://codeberg.org/parolottero/parolottero-languages
Rules-Requires-Root: no

Package: parolottero-data-it
Provides: parolottero-data
Depends: ${misc:Depends}, parolottero (>=2.0)
Architecture: all
Description: Compose words using a 4x4 grid of letters, Italian game files
 A word game intended for touch screens.
 .
 Players must drag their finger (or mouse) over random letters in a 4x4 grid
 to compose as many words as they can, until the time runs out.
 .
 This package contains the data files to play with Italian words.

Package: parolottero-data-en
Provides: parolottero-data
Depends: ${misc:Depends}, parolottero (>=2.0)
Architecture: all
Description: Compose words using a 4x4 grid of letters, English game files
 A word game intended for touch screens.
 .
 Players must drag their finger (or mouse) over random letters in a 4x4 grid
 to compose as many words as they can, until the time runs out.
 .
 This package contains the data files to play with British English words.

Package: parolottero-data-sv
Provides: parolottero-data
Depends: ${misc:Depends}, parolottero (>=2.0)
Architecture: all
Description: Compose words using a 4x4 grid of letters, Swedish game files
 A word game intended for touch screens.
 .
 Players must drag their finger (or mouse) over random letters in a 4x4 grid
 to compose as many words as they can, until the time runs out.
 .
 This package contains the data files to play with Swedish words.

Package: parolottero-data-scn
Provides: parolottero-data
Depends: ${misc:Depends}, parolottero (>=2.0)
Architecture: all
Description: Compose words using a 4x4 grid of letters, Sicilian game files
 A word game intended for touch screens.
 .
 Players must drag their finger (or mouse) over random letters in a 4x4 grid
 to compose as many words as they can, until the time runs out.
 .
 This package contains the data files to play with Sicilian words.
