## parolottero-languages 7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # parolottero-languages
-# Copyright (C) 2021-2023 Salvo "LtWorf" Tomaselli
+# Copyright (C) 2021-2025 Salvo "LtWorf" Tomaselli
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
@@ -34,6 +34,7 @@
 .PHONY: clean
 clean:
 	$(RM) -r language_data
+	$(RM) -r deb-pkg
 
 .PHONY: install
 install: wordlists
@@ -41,7 +42,7 @@
 	cp language_data/* $${DESTDIR:-/}/usr/share/games/parolottero/language_data/
 
 .PHONY: dist
-dist: dict/sicilian dict/italian dict/swedish.xpi dict/english.xpi
+dist: dict/italian dict/swedish.xpi dict/english.xpi
 # dict/greek.xpi
 # dict/basque.xpi
 # dict/french.xpi
@@ -53,7 +54,9 @@
 	( \
 		cd /tmp; \
 		tar --exclude '*.user' -zcf parolottero-languages.tar.gz \
-			parolottero-languages/dict \
+			parolottero-languages/dict/italian \
+			parolottero-languages/dict/swedish.xpi \
+			parolottero-languages/dict/english.xpi \
 			parolottero-languages/extralist \
 			parolottero-languages/utils \
 			parolottero-languages/Makefile \
@@ -106,9 +109,5 @@
 	wget https://addons.mozilla.org/firefox/downloads/file/3581786/dictionnaire_francais1-7.0b.xpi -O $@
 	touch $@
 dict/sicilian:
-	mkdir -p dict
-	wget https://github.com/ltworf/sicilianu/releases/download/2022-03-18/wsicilian-2022-03-18.tar.gz -O $@.tar.gz
-	cd dict; tar -xf `basename $@.tar.gz`
-	rm $@.tar.gz
-	mv dict/wsicilian $@
+	cp /usr/share/dict/wsicilian dict/sicilian
 	touch $@
