=== debian/changelog ===
parolottero-languages (7-1) unstable; urgency=medium

  * New upstream release
  * Sicilian wordlist is now imported from the sicilianu package and
    dropped from the source package

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 16 Aug 2025 08:23:09 +0200
