=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  python3,
+ wsicilian,
 Standards-Version: 4.7.2
 Homepage: https://codeberg.org/parolottero/parolottero-languages
 Vcs-Browser: https://codeberg.org/parolottero/parolottero-languages
