=== debian/changelog ===
parolottero-languages (8-1) unstable; urgency=medium

  * New upstream release
  * Add French

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 16 Aug 2025 23:38:12 +0200
