=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  debhelper-compat (= 13),
  python3,
  wsicilian,
+ wfrench,
 Standards-Version: 4.7.2
 Homepage: https://codeberg.org/parolottero/parolottero-languages
 Vcs-Browser: https://codeberg.org/parolottero/parolottero-languages
@@ -58,3 +59,15 @@
  to compose as many words as they can, until the time runs out.
  .
  This package contains the data files to play with Sicilian words.
+
+Package: parolottero-data-fr
+Provides: parolottero-data
+Depends: ${misc:Depends}, parolottero (>=2.0)
+Architecture: all
+Description: Compose words using a 4x4 grid of letters, French game files
+ A word game intended for touch screens.
+ .
+ Players must drag their finger (or mouse) over random letters in a 4x4 grid
+ to compose as many words as they can, until the time runs out.
+ .
+ This package contains the data files to play with French words.
