=== debian/watch ===
version=4

opts=pgpmode=auto \
https://codeberg.org/parolottero/parolottero-languages/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
