## parolottero-languages 9

=== Makefile ===
--- 
+++ 
@@ -78,7 +78,7 @@
 	cp /usr/share/dict/french dict/french
 	touch $@
 dict/sicilian: dict
-	cp /usr/share/dict/wsicilian dict/sicilian
+	cp /usr/share/dict/sicilian dict/sicilian
 	touch $@
 dict/english.xpi: dict
 	cp vendored/english.xpi dict
