=== debian/changelog ===
parolottero-languages (9-1) unstable; urgency=medium

  * New upstream release
  * Remove Rules-Requires-Root

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 19 Nov 2025 09:58:47 +0100
