=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 Standards-Version: 4.7.2
 Homepage: https://codeberg.org/parolottero/parolottero-languages
 Vcs-Browser: https://codeberg.org/parolottero/parolottero-languages
-Rules-Requires-Root: no
 
 Package: parolottero-data-it
 Provides: parolottero-data
