## parolottero-languages 10

=== debian/changelog ===
parolottero-languages (10-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 02 Mar 2026 20:05:35 +0100
